/*
/////////////
/// GetDP ///
/////////////

// File: integrationMethod.pro
// AUTHOR: Frederic Trillaud <ftrillaudp@gmail.com>
// UNIVERSITY: UNAM
// INSTITUTE: IINGEN
// DATE (english): 11/09/2012
// UNITS: SI otherwise indicated

// INTRODUCTION: Definition of the integration method.

Prototypes:
----------
gradGrad -> Integral of the gradiant product term
curlCurl -> Integral of the curl product term
basicIntegration -> Basic integration mainly for 2D cases
*/


///////////////////
/// INTEGRATION ///
///////////////////

Integration
{
 {
  Name gradGrad;
  Case
  {
   {
    Type Gauss;
    Case
    {
     {
      GeoElement Triangle;
      NumberOfPoints 4;
     }
     {
      GeoElement Quadrangle;
      NumberOfPoints 4;
     }
     {
      GeoElement Tetrahedron;
      NumberOfPoints 4;
     }
     {
      GeoElement Hexahedron;
      NumberOfPoints 6;
     }
     {
      GeoElement Prism;
      NumberOfPoints 9;
     }
    }
   }
  }
 }
 {
  Name curlCurl;
  Case
  {
   {
    Type Gauss;
    Case
    {
     {
      GeoElement Triangle;
      NumberOfPoints 4;
     }
     {
      GeoElement Quadrangle;
      NumberOfPoints 4;
     }
     {
      GeoElement Tetrahedron;
      NumberOfPoints 4;
     }
     {
      GeoElement Hexahedron;
      NumberOfPoints 6;
     }
     {
      GeoElement Prism;
      NumberOfPoints 9;
     }
    }
   }
  }
 }
 {
  Name basicIntegration;
	Case
	{
   {
	  Type Gauss;
	  Case
	  {
     {
      GeoElement Line;
      NumberOfPoints 4;
     } 
	   {
	    GeoElement Triangle;
	    NumberOfPoints 4;
	   }
		 {
		  GeoElement Quadrangle;
		  NumberOfPoints 4;
		 }
		}                                                 
   }
	}
 }
}
