/*
/////////////
/// GetDP ///
/////////////

// File: jacobianMethod.pro
// AUTHOR: Frederic Trillaud <ftrillaudp@gmail.com>
// UNIVERSITY: UNAM
// INSTITUTE: IINGEN
// DATE (english): 11/09/2012
// UNITS: SI otherwise indicated

// INTRODUCTION: Definition of the jacobian method.

Input to the method
-------------------
infiniteBoundaryDomain -> Regions with Spherical Shell Transformation to be enter in the main file
innerBoundaryRadius, outerBoundaryRadius -> Parameters of the outer shell to be defined at the geometrical model definition
*/


////////////////
/// JACOBIAN ///
////////////////

Group
{
 DefineGroup[infiniteBoundaryDomain];
 DefineVariable[innerBoundaryRadius, outerBoundaryRadius];
}

Jacobian
{
 {Name jacobianVolumeRegion;
  Case
  {
   {
    Region infiniteBoundaryDomain;
    Jacobian VolSphShell{innerBoundaryRadius, outerBoundaryRadius};
   }
   {
    Region All;
    Jacobian Vol;
   }
  }
 }
}

